Find the answer to your Linux question:
Results 1 to 5 of 5
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1

    QT5 variable problem


    I am having problems upgrading my system and recently compiling stuff that has to do with qt5.
    As you can see, the underlined text below is the problem, not the least since it seems to have put three variable-strings in one. And I have no idea how this came to be...

    This is while running the check before the compilation of package dev-util/cmake-3.8.2

    Does anyone have a clue??

    Code:
    ...
    -- Using system-installed ZLIB
    -- Found LibRHash: /usr/lib64/librhash.so
    -- Found ZLIB: /usr/lib64/libz.so (found version "1.2.11")
    -- Found CURL: /usr/lib64/libcurl.so (found version "7.55.1")
    -- Found EXPAT: /usr/lib64/libexpat.so (found version "2.2.1")
    -- Found LibArchive: /usr/lib64/libarchive.so (found suitable version "3.3.1", minimum required is "3.0.0")
    -- Looking for cbreak in /usr/lib64/libncurses.so
    -- Looking for cbreak in /usr/lib64/libncurses.so - found
    -- Looking for elf.h
    -- Looking for elf.h - found
    CMake Error at /usr/lib64/cmake/Qt5Core/Qt5CoreConfig.cmake:27 (message):
      The imported target "Qt5::Core" references the file
    
         "/usr/lib64/qt5//mkspecs//usr/lib64/qt5/mkspecs/linux-g++"
    
      but this file does not exist.  Possible reasons include:
    
      * The file was deleted, renamed, or moved to another location.
    
      * An install or uninstall procedure did not complete successfully.
    
      * The installation package was faulty and contained
    
         "/usr/lib64/cmake/Qt5Core/Qt5CoreConfigExtras.cmake"
    
      but not all the files it references.
    
    Call Stack (most recent call first):
      /usr/lib64/cmake/Qt5Core/Qt5CoreConfigExtras.cmake:50 (_qt5_Core_check_file_exists)
      /usr/lib64/cmake/Qt5Core/Qt5CoreConfig.cmake:158 (include)
      /usr/lib64/cmake/Qt5Gui/Qt5GuiConfig.cmake:99 (find_package)
      /usr/lib64/cmake/Qt5Widgets/Qt5WidgetsConfig.cmake:99 (find_package)
      Source/QtDialog/CMakeLists.txt:9 (find_package)
    ...

  2. #2
    the double slashes should not matter; so it's just this bit
    /usr/lib64/qt5//mkspecs/
    which is gratuituous/doubled.

    you are not showing us complete output (maybe too long) or the command that produced the output.

    wild guess is that some of the options/paths passed to the compiler need to be fixed.
    Tapatalk: Kill it with fire!
    How to ask smart questions | Don't be a Help Vampire | How to Use Code Tags
    You can post a link by removing "http://www." from it.

  3. #3
    Quote Originally Posted by johanlindgren View Post
    I am having problems upgrading my system and recently compiling stuff that has to do with qt5.
    oh, i just realized that these are two separate problems.
    you should DEFINITELY fix the first one first!
    Tapatalk: Kill it with fire!
    How to ask smart questions | Don't be a Help Vampire | How to Use Code Tags
    You can post a link by removing "http://www." from it.

  4. $spacer_open
    $spacer_close
  5. #4
    Thank you for responding!

    Quote Originally Posted by nihili View Post
    oh, i just realized that these are two separate problems.
    you should DEFINITELY fix the first one first!
    Hm well the problem is just qt5, or actually Qt5::Core, nothing else.

    Here is the output of media-libs/phonon, which ends in the same way as cmake.
    Code:
    These are the packages that would be merged, in order:
    
    Calculating dependencies  ... done!
    [ebuild  N     ] media-libs/phonon-4.9.1-r1::gentoo  USE="pulseaudio qt4 qt5 vlc -debug -designer -gstreamer" ABI_X86="32 (64) (-x32)" 0 KiB
    [ebuild  N     ] media-libs/phonon-vlc-0.9.1-r1::gentoo  USE="qt4 qt5 -debug" 0 KiB
    
    Total: 2 packages (2 new), Size of downloads: 0 KiB
    
    
    >>> Verifying ebuild manifests
    
    >>> Emerging (1 of 2) media-libs/phonon-4.9.1-r1::gentoo
     * phonon-4.9.1.tar.xz SHA256 SHA512 WHIRLPOOL size ;-) ...              [ ok ]
    >>> Unpacking source...
    >>> Unpacking phonon-4.9.1.tar.xz to /var/tmp/portage/media-libs/phonon-4.9.1-r1/work
    >>> Source unpacked in /var/tmp/portage/media-libs/phonon-4.9.1-r1/work
    >>> Preparing source in /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1 ...
     * Applying phonon-4.7.0-plugin-install.patch ...
     [ ok ]
    >>> Source prepared.
    >>> Configuring source in /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1 ...
     * qt4: running myconfigure
     * abi_x86_32.x86: running multilib-minimal_abi_src_configure
    >>> Working in BUILD_DIR: "/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_32.x86"
    cmake -C /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_32.x86/gentoo_common_config.cmake -G Unix Makefiles -DCMAKE_INSTALL_PREFIX=/usr -DPHONON_BUILD_DESIGNER_PLUGIN=no -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=TRUE -DWITH_GLIB2=yes -DWITH_PulseAudio=yes -DWITH_QZeitgeist=OFF -DQT_QMAKE_EXECUTABLE=/usr/lib32/qt4/bin/qmake -DPHONON_BUILD_PHONON4QT5=OFF -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_32.x86/gentoo_rules.cmake -DCMAKE_TOOLCHAIN_FILE=/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_32.x86/gentoo_toolchain.cmake  /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1
    loading initial cache file /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_32.x86/gentoo_common_config.cmake
    -- The C compiler identification is GNU 5.4.0
    -- The CXX compiler identification is GNU 5.4.0
    -- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
    -- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
    -- Detecting C compiler ABI info
    -- Detecting C compiler ABI info - done
    -- Detecting C compile features
    -- Detecting C compile features - done
    -- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
    -- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
    -- Detecting CXX compiler ABI info
    -- Detecting CXX compiler ABI info - done
    -- Detecting CXX compile features
    -- Detecting CXX compile features - done
    -- Enabling backend state machine validation.
    -- Looking for Q_WS_X11
    -- Looking for Q_WS_X11 - found
    -- Looking for Q_WS_WIN
    -- Looking for Q_WS_WIN - not found
    -- Looking for Q_WS_QWS
    -- Looking for Q_WS_QWS - not found
    -- Looking for Q_WS_MAC
    -- Looking for Q_WS_MAC - not found
    -- Found Qt4: /usr/lib32/qt4/bin/qmake (found suitable version "4.8.7", minimum required is "4.6.0") 
    -- Performing Test HAVE_FPIE_SUPPORT
    -- Performing Test HAVE_FPIE_SUPPORT - Success
    -- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
    -- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
    -- Performing Test __KDE_HAVE_GCC_VISIBILITY
    -- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
    -- Using CMake automoc builtin
    -- Found OpenGL: /usr/lib32/libGL.so  
    -- Not Building graphicsview.
    -- Found PkgConfig: i686-pc-linux-gnu-pkg-config (found version "0.28") 
    -- Checking for module 'glib-2.0'
    --   Found glib-2.0, version 2.50.3
    -- Found GLIB2: /usr/lib32/libglib-2.0.so
    -- 
    -----------------------------------------------------------------------------
    -- The following external packages were located on your system.
    -- This installation will have the extra features provided by these packages.
    + Qt4
    + OpenGL
    + Qt4 DBus
    + Qt4 Designer
    + Qt4 OpenGL
    + Qt4 Declarative
    + PulseAudio
    + GLib2
    -----------------------------------------------------------------------------
    -- The following OPTIONAL packages could NOT be located on your system.
    -- Consider installing them to enable more features from this software.
    + QZeitgeist, 0.8: Qt bindings for Zeitgeist <http://projects.kde.org/kdesupport/libqzeitgeist/>
    -----------------------------------------------------------------------------
    
    -- <<< Gentoo configuration >>>
    Build type      Gentoo
    Install path    /usr
    Compiler flags:
    C               -march=corei7 -O2 -pipe -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common
    C++             -march=corei7 -O2 -pipe -Wnon-virtual-dtor -Wno-long-long -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-check-new -fno-common
    Linker flags:
    Executable      -Wl,--enable-new-dtags -Wl,-O1 -Wl,--as-needed
    Module          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-O1 -Wl,--as-needed
    Shared          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-O1 -Wl,--as-needed
    
    -- Configuring done
    CMake Warning (dev) in phonon/CMakeLists.txt:
      Policy CMP0022 is not set: INTERFACE_LINK_LIBRARIES defines the link
      interface.  Run "cmake --help-policy CMP0022" for policy details.  Use the
      cmake_policy command to set the policy and suppress this warning.
    
      Target "phonon" has an INTERFACE_LINK_LIBRARIES property which differs from
      its LINK_INTERFACE_LIBRARIES properties.
    
      INTERFACE_LINK_LIBRARIES:
    
        /usr/lib32/qt4/libQtCore.so;/usr/lib32/qt4/libQtGui.so;/usr/lib32/qt4/libQtDBus.so;/usr/lib64/libpulse.so;/usr/lib64/libpulse-mainloop-glib.so
    
      LINK_INTERFACE_LIBRARIES:
    
        
    
    This warning is for project developers.  Use -Wno-dev to suppress it.
    
    CMake Warning (dev) in phonon/experimental/CMakeLists.txt:
      Policy CMP0022 is not set: INTERFACE_LINK_LIBRARIES defines the link
      interface.  Run "cmake --help-policy CMP0022" for policy details.  Use the
      cmake_policy command to set the policy and suppress this warning.
    
      Target "phononexperimental" has an INTERFACE_LINK_LIBRARIES property which
      differs from its LINK_INTERFACE_LIBRARIES properties.
    
      INTERFACE_LINK_LIBRARIES:
    
        /usr/lib32/qt4/libQtCore.so;/usr/lib32/qt4/libQtGui.so;phonon
    
      LINK_INTERFACE_LIBRARIES:
    
        
    
    This warning is for project developers.  Use -Wno-dev to suppress it.
    
    -- Generating done
    -- Build files have been written to: /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_32.x86
     * abi_x86_64.amd64: running multilib-minimal_abi_src_configure
    >>> Working in BUILD_DIR: "/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_64.amd64"
    cmake -C /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_64.amd64/gentoo_common_config.cmake -G Unix Makefiles -DCMAKE_INSTALL_PREFIX=/usr -DPHONON_BUILD_DESIGNER_PLUGIN=no -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=TRUE -DWITH_GLIB2=yes -DWITH_PulseAudio=yes -DWITH_QZeitgeist=OFF -DQT_QMAKE_EXECUTABLE=/usr/lib64/qt4/bin/qmake -DPHONON_BUILD_PHONON4QT5=OFF -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_64.amd64/gentoo_rules.cmake -DCMAKE_TOOLCHAIN_FILE=/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_64.amd64/gentoo_toolchain.cmake  /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1
    loading initial cache file /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_64.amd64/gentoo_common_config.cmake
    -- The C compiler identification is GNU 5.4.0
    -- The CXX compiler identification is GNU 5.4.0
    -- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
    -- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
    -- Detecting C compiler ABI info
    -- Detecting C compiler ABI info - done
    -- Detecting C compile features
    -- Detecting C compile features - done
    -- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
    -- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
    -- Detecting CXX compiler ABI info
    -- Detecting CXX compiler ABI info - done
    -- Detecting CXX compile features
    -- Detecting CXX compile features - done
    -- Enabling backend state machine validation.
    -- Looking for Q_WS_X11
    -- Looking for Q_WS_X11 - found
    -- Looking for Q_WS_WIN
    -- Looking for Q_WS_WIN - not found
    -- Looking for Q_WS_QWS
    -- Looking for Q_WS_QWS - not found
    -- Looking for Q_WS_MAC
    -- Looking for Q_WS_MAC - not found
    -- Found Qt4: /usr/lib64/qt4/bin/qmake (found suitable version "4.8.7", minimum required is "4.6.0") 
    -- Performing Test HAVE_FPIE_SUPPORT
    -- Performing Test HAVE_FPIE_SUPPORT - Success
    -- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
    -- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
    -- Performing Test __KDE_HAVE_GCC_VISIBILITY
    -- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
    -- Using CMake automoc builtin
    -- Found OpenGL: /usr/lib64/libGL.so  
    -- Not Building graphicsview.
    -- Found PkgConfig: x86_64-pc-linux-gnu-pkg-config (found version "0.28") 
    -- Checking for module 'glib-2.0'
    --   Found glib-2.0, version 2.50.3
    -- Found GLIB2: /usr/lib64/libglib-2.0.so
    -- 
    -----------------------------------------------------------------------------
    -- The following external packages were located on your system.
    -- This installation will have the extra features provided by these packages.
    + Qt4
    + OpenGL
    + Qt4 DBus
    + Qt4 Designer
    + Qt4 OpenGL
    + Qt4 Declarative
    + PulseAudio
    + GLib2
    -----------------------------------------------------------------------------
    -- The following OPTIONAL packages could NOT be located on your system.
    -- Consider installing them to enable more features from this software.
    + QZeitgeist, 0.8: Qt bindings for Zeitgeist <http://projects.kde.org/kdesupport/libqzeitgeist/>
    -----------------------------------------------------------------------------
    
    -- <<< Gentoo configuration >>>
    Build type      Gentoo
    Install path    /usr
    Compiler flags:
    C               -march=corei7 -O2 -pipe -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common
    C++             -march=corei7 -O2 -pipe -Wnon-virtual-dtor -Wno-long-long -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-check-new -fno-common
    Linker flags:
    Executable      -Wl,--enable-new-dtags -Wl,-O1 -Wl,--as-needed
    Module          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-O1 -Wl,--as-needed
    Shared          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-O1 -Wl,--as-needed
    
    -- Configuring done
    CMake Warning (dev) in phonon/CMakeLists.txt:
      Policy CMP0022 is not set: INTERFACE_LINK_LIBRARIES defines the link
      interface.  Run "cmake --help-policy CMP0022" for policy details.  Use the
      cmake_policy command to set the policy and suppress this warning.
    
      Target "phonon" has an INTERFACE_LINK_LIBRARIES property which differs from
      its LINK_INTERFACE_LIBRARIES properties.
    
      INTERFACE_LINK_LIBRARIES:
    
        /usr/lib64/qt4/libQtCore.so;/usr/lib64/qt4/libQtGui.so;/usr/lib64/qt4/libQtDBus.so;/usr/lib64/libpulse.so;/usr/lib64/libpulse-mainloop-glib.so
    
      LINK_INTERFACE_LIBRARIES:
    
        
    
    This warning is for project developers.  Use -Wno-dev to suppress it.
    
    CMake Warning (dev) in phonon/experimental/CMakeLists.txt:
      Policy CMP0022 is not set: INTERFACE_LINK_LIBRARIES defines the link
      interface.  Run "cmake --help-policy CMP0022" for policy details.  Use the
      cmake_policy command to set the policy and suppress this warning.
    
      Target "phononexperimental" has an INTERFACE_LINK_LIBRARIES property which
      differs from its LINK_INTERFACE_LIBRARIES properties.
    
      INTERFACE_LINK_LIBRARIES:
    
        /usr/lib64/qt4/libQtCore.so;/usr/lib64/qt4/libQtGui.so;phonon
    
      LINK_INTERFACE_LIBRARIES:
    
        
    
    This warning is for project developers.  Use -Wno-dev to suppress it.
    
    -- Generating done
    -- Build files have been written to: /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt4-abi_x86_64.amd64
     * qt5: running myconfigure
    >>> Working in BUILD_DIR: "/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt5"
    cmake -C /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt5/gentoo_common_config.cmake -G Unix Makefiles -DCMAKE_INSTALL_PREFIX=/usr -DPHONON_BUILD_DESIGNER_PLUGIN=no -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=TRUE -DWITH_GLIB2=yes -DWITH_PulseAudio=yes -DWITH_QZeitgeist=OFF -DQT_QMAKE_EXECUTABLE=/usr/lib64/qt5/bin/qmake -DPHONON_BUILD_PHONON4QT5=ON -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt5/gentoo_rules.cmake -DCMAKE_TOOLCHAIN_FILE=/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt5/gentoo_toolchain.cmake  /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1
    loading initial cache file /var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt5/gentoo_common_config.cmake
    -- The C compiler identification is GNU 5.4.0
    -- The CXX compiler identification is GNU 5.4.0
    -- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
    -- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
    -- Detecting C compiler ABI info
    -- Detecting C compiler ABI info - done
    -- Detecting C compile features
    -- Detecting C compile features - done
    -- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
    -- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
    -- Detecting CXX compiler ABI info
    -- Detecting CXX compiler ABI info - done
    -- Detecting CXX compile features
    -- Detecting CXX compile features - done
    -- Enabling backend state machine validation.
    CMake Error at /usr/lib64/cmake/Qt5Core/Qt5CoreConfig.cmake:27 (message):
      The imported target "Qt5::Core" references the file
    
         "/usr/lib64/qt5//mkspecs//usr/lib64/qt5/mkspecs/linux-g++"
    
      but this file does not exist.  Possible reasons include:
    
      * The file was deleted, renamed, or moved to another location.
    
      * An install or uninstall procedure did not complete successfully.
    
      * The installation package was faulty and contained
    
         "/usr/lib64/cmake/Qt5Core/Qt5CoreConfigExtras.cmake"
    
      but not all the files it references.
    
    Call Stack (most recent call first):
      /usr/lib64/cmake/Qt5Core/Qt5CoreConfigExtras.cmake:50 (_qt5_Core_check_file_exists)
      /usr/lib64/cmake/Qt5Core/Qt5CoreConfig.cmake:158 (include)
      cmake/PhononQt5.cmake:28 (find_package)
      cmake/FindPhononInternal.cmake:107 (include)
      CMakeLists.txt:47 (include)
    
    
    -- Configuring incomplete, errors occurred!
    See also "/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt5/CMakeFiles/CMakeOutput.log".
     * ERROR: media-libs/phonon-4.9.1-r1::gentoo failed (configure phase):
     *   cmake failed
     * 
     * Call stack:
     *     ebuild.sh, line  115:  Called src_configure
     *   environment, line 3787:  Called multibuild_foreach_variant 'myconfigure'
     *   environment, line 2694:  Called _multibuild_run 'myconfigure'
     *   environment, line 2692:  Called myconfigure
     *   environment, line 3783:  Called multilib_src_configure
     *   environment, line 3270:  Called cmake-utils_src_configure
     *   environment, line  985:  Called die
     * The specific snippet of code:
     *       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
     * 
     * If you need support, post the output of `emerge --info '=media-libs/phonon-4.9.1-r1::gentoo'`,
     * the complete build log and the output of `emerge -pqv '=media-libs/phonon-4.9.1-r1::gentoo'`.
     * The complete build log is located at '/var/tmp/portage/media-libs/phonon-4.9.1-r1/temp/build.log'.
     * The ebuild environment file is located at '/var/tmp/portage/media-libs/phonon-4.9.1-r1/temp/environment'.
     * Working directory: '/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt5'
     * S: '/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1'
    
    >>> Failed to emerge media-libs/phonon-4.9.1-r1, Log file:
    
    >>>  '/var/tmp/portage/media-libs/phonon-4.9.1-r1/temp/build.log'
    
     * Messages for package media-libs/phonon-4.9.1-r1:
    
     * ERROR: media-libs/phonon-4.9.1-r1::gentoo failed (configure phase):
     *   cmake failed
     * 
     * Call stack:
     *     ebuild.sh, line  115:  Called src_configure
     *   environment, line 3787:  Called multibuild_foreach_variant 'myconfigure'
     *   environment, line 2694:  Called _multibuild_run 'myconfigure'
     *   environment, line 2692:  Called myconfigure
     *   environment, line 3783:  Called multilib_src_configure
     *   environment, line 3270:  Called cmake-utils_src_configure
     *   environment, line  985:  Called die
     * The specific snippet of code:
     *       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
     * 
     * If you need support, post the output of `emerge --info '=media-libs/phonon-4.9.1-r1::gentoo'`,
     * the complete build log and the output of `emerge -pqv '=media-libs/phonon-4.9.1-r1::gentoo'`.
     * The complete build log is located at '/var/tmp/portage/media-libs/phonon-4.9.1-r1/temp/build.log'.
     * The ebuild environment file is located at '/var/tmp/portage/media-libs/phonon-4.9.1-r1/temp/environment'.
     * Working directory: '/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1-qt5'
     * S: '/var/tmp/portage/media-libs/phonon-4.9.1-r1/work/phonon-4.9.1'

  6. #5
    please disregard my answers, i completely missed the fact that this is the gentoo subforum!
    :blush:
    Tapatalk: Kill it with fire!
    How to ask smart questions | Don't be a Help Vampire | How to Use Code Tags
    You can post a link by removing "http://www." from it.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •